Page MenuHomePhabricator

Move PasswordlessLogin extension to gerrit
Closed, ResolvedPublic

Description

The extension is currently hosted on my own, personal github account. This should be changed to the Wikimedia gerrit.

This has the following benefits:

  • Existing members of the community can contribute more easily
  • The extension can be translated (once setup)
  • The extension tests can be run on the Wikimedia CI

Tasks:

  • Get a gerrit repository (in doing, see request)
  • Setup the extension for translation
  • Setup CI

Event Timeline

Florian created this task.May 26 2019, 3:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 26 2019, 3:56 PM
Florian updated the task description. (Show Details)May 26 2019, 4:00 PM
Florian updated the task description. (Show Details)May 27 2019, 3:45 PM

Change 512727 had a related patch set uploaded (by Florianschmidtwelzow; owner: Florianschmidtwelzow):
[mediawiki/extensions/PasswordlessLogin@master] Add a i18n

https://gerrit.wikimedia.org/r/512727

Change 512727 merged by Florianschmidtwelzow:
[mediawiki/extensions/PasswordlessLogin@master] Add a i18n

https://gerrit.wikimedia.org/r/512727

Change 512729 had a related patch set uploaded (by Florianschmidtwelzow; owner: Florianschmidtwelzow):
[integration/config@master] [Passwordless Login] Jobs for extension

https://gerrit.wikimedia.org/r/512729

Change 512714 had a related patch set uploaded (by Florianschmidtwelzow; owner: Florianschmidtwelzow):
[translatewiki@master] [Passwordless Login] Register extension

https://gerrit.wikimedia.org/r/512714

Change 512729 merged by jenkins-bot:
[integration/config@master] [Passwordless Login] Jobs for extension

https://gerrit.wikimedia.org/r/512729

CI fails with:

22:49:35   Problem 1
22:49:35     - Installation request for endroid/qr-code 3.6.1 -> satisfiable by endroid/qr-code[3.6.1].
22:49:35     - endroid/qr-code 3.6.1 requires php >=7.2 -> your HHVM version does not satisfy that requirement.

Since MediaWiki still supports HHVM / PHP 7.0, that support should be added to the extension.

Legoktm renamed this task from Move extension to gerrit to Move PasswordlessLogin extension to gerrit.May 30 2019, 2:52 AM

Change 512714 merged by jenkins-bot:
[translatewiki@master] [Passwordless Login] Register extension

https://gerrit.wikimedia.org/r/512714

Change 513274 had a related patch set uploaded (by Florianschmidtwelzow; owner: Florianschmidtwelzow):
[mediawiki/extensions/PasswordlessLogin@master] Use php 7.0 compatible libraries

https://gerrit.wikimedia.org/r/513274

Change 513274 merged by jenkins-bot:
[mediawiki/extensions/PasswordlessLogin@master] Use php 7.0 compatible libraries and CI fixes

https://gerrit.wikimedia.org/r/513274

Florian closed this task as Resolved.May 30 2019, 3:16 PM
Florian updated the task description. (Show Details)